# Update Client Updates a client. Endpoint: PUT /clients/{client_id}.json Version: 2.0.0 Security: apiKeyAuth ## Path parameters: - `client_id` (string, required) ID of the client. Example: "12345" ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Request fields (application/json): - `client` (object, required) - `client.name` (string, required) Example: "Client Name" - `client.code` (string, required) Example: "12345" - `client.email` (string) Example: "foo@bar.com" - `client.language` (string) Enum: "en", "pt", "es" - `client.address` (string) Example: "Avenida da República, Lisboa" - `client.city` (string) Example: "Lisboa" - `client.postal_code` (string) Example: "1050-555" - `client.country` (string) Example: "Portugal" - `client.fiscal_id` (string) Example: "508025338" - `client.website` (string) Example: "www.invoicexpress.com" - `client.phone` (string) Example: "213456789" - `client.fax` (string) Example: "213456788" - `client.preferred_contact` (object) The preferred contact details. - `client.observations` (string) Example: "Observations" - `client.send_options` (string) Enum: "1", "2", "3" ## Response 401 fields (application/json): - `errors` (object) - `errors.error` (string) Example: "Invalid API key" ## Response 200 fields ## Response 404 fields ## Response 422 fields